local datasrv = lgs.DataSrv
local propsrv = lgs.PropertySrv

local function randomDog()
	local number = datasrv.RandInt(0,50)
	local result = "dog0.str"
	if number >= 0 then
		result = "Dog" .. tostring(number) .. ".str"
	end
	return result
end

function Sim(msg)
  if msg.fStarting then
	if not propsrv.Possessed(script.objid,'Book') then
		propsrv.Set(script.objid,'Book',randomDog())
	end
  end
  return true
end

